## sdlhaa 1.0.0

=== Makefile ===
all: 
	make -C src all

clean:
	make -C src clean

install:
	make -C src install

uninstall:
	make -C src uninstall

=== src/Makefile ===
PREFIX:=$(shell sdl-config --prefix)
CFLAGS:=-g -O0 -Wall -Wextra

CC:=gcc

RELEASE:=1.2
VERSION:=0:1:0

SDL_HAA_TARGET:=libSDL_haa.la

SDL_HAA_LDLIBS:=$(shell sdl-config --libs) $(shell pkg-config --libs x11 xext)
SDL_HAA_CFLAGS:=-DHAVE_XSHM \
	$(shell sdl-config --cflags) $(shell pkg-config --cflags x11 xext)
SDL_HAA_LDFLAGS:=-release $(RELEASE) -version-info $(VERSION) -rpath $(PREFIX)/lib

all: $(SDL_HAA_TARGET)

$(SDL_HAA_TARGET): SDL_haa.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) $(SDL_HAA_LDFLAGS) $(LDLIBS) $(SDL_HAA_LDLIBS) -o $@ $^
	
SDL_haa.lo: SDL_haa.c
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(SDL_HAA_CFLAGS) -c $^
	
clean:
	$(LIBTOOL) --mode=clean rm -f *.o *.lo $(SDL_HAA_TARGET)
	
install: $(SDL_HAA_TARGET)
	install -d $(DESTDIR)$(PREFIX)/include/SDL $(DESTDIR)$(PREFIX)/lib
	install SDL_haa.h $(DESTDIR)$(PREFIX)/include/SDL/
	$(LIBTOOL) --mode=install install -c $(SDL_HAA_TARGET) $(DESTDIR)$(PREFIX)/lib/
ifeq ($(DESTDIR),)
	$(LIBTOOL) --mode=finish $(PREFIX)/lib
endif
	#ln -sf $(SDL_HAA_TARGET) $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_DEV_LINK)

uninstall:
	-$(LIBTOOL) --mode=uninstall rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_TARGET)
	-rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_SONAME)
	#-rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_DEV_LINK)
	-rm $(DESTDIR)$(PREFIX)/include/SDL/SDL_haa.h

=== test/Makefile ===
CFLAGS:=-g -O0 -Wall

TEST_LDLIBS:=$(shell sdl-config --libs) -lSDL_haa
TEST_CFLAGS:=$(shell sdl-config --cflags)

TESTS:=basic multi alpha fullscreen

all: $(TESTS)

$(TESTS): %: %.o
	$(CC) $(LDFLAGS) $(TEST_LDFLAGS) $(LDLIBS) $(TEST_LDLIBS) -o $@ $^
	
%.o: %.c
	$(CC) $(CFLAGS) $(TEST_CFLAGS) -c -o $@ $^
	
clean:
	rm -f *.o $(TESTS)

=== debian/changelog ===
sdlhaa (1.0.0) unstable; urgency=low

  * Initial Release.

 -- Javier S. Pedro <maemo@javispedro.com>  Tue,  2 Feb 2010 00:03:22 +0100

=== debian/control ===
Source: sdlhaa
Priority: extra
Maintainer: Javier S. Pedro <maemo@javispedro.com>
Build-Depends: debhelper (>= 5), libxext-dev, libsdl1.2-dev
Standards-Version: 3.7.2
Section: libs

Package: libsdl-haa1.2-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hildon Animation Actor library for Simple DirectMedia Layer 1.2
 This is a simple library to use Hildon 2.2 animation actors from your SDL
 applications.

Package: libsdl-haa1.2-dev
Section: libdevel
Architecture: any
Depends: libsdl-haa1.2-1 (= ${Source-Version})
Description: development files for Hildon Animation Actor library for SDL 1.2
 This is a simple library to use Hildon 2.2 animation actors from your SDL
 applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) CFLAGS="$(CFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V "libsdl-haa1.2-1 (>= 1.0.0)"
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sdlhaa 1.1.0

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CC:=gcc
 
 RELEASE:=1.2
-VERSION:=0:1:0
+VERSION:=1:2:1
 
 SDL_HAA_TARGET:=libSDL_haa.la
 
@@ -31,11 +31,8 @@
 ifeq ($(DESTDIR),)
 	$(LIBTOOL) --mode=finish $(PREFIX)/lib
 endif
-	#ln -sf $(SDL_HAA_TARGET) $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_DEV_LINK)
 
 uninstall:
 	-$(LIBTOOL) --mode=uninstall rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_TARGET)
-	-rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_SONAME)
-	#-rm $(DESTDIR)$(PREFIX)/lib/$(SDL_HAA_DEV_LINK)
 	-rm $(DESTDIR)$(PREFIX)/include/SDL/SDL_haa.h

=== test/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 TEST_LDLIBS:=$(shell sdl-config --libs) -lSDL_haa
 TEST_CFLAGS:=$(shell sdl-config --cflags)
 
-TESTS:=basic multi alpha fullscreen
+TESTS:=basic multi alpha fullscreen switch
 
 all: $(TESTS)

=== debian/changelog ===
sdlhaa (1.1.0) unstable; urgency=low

  * Added new HAA_SetVideoMode call; removed dangerous automatic
    fullscreen sync.
  * Fixed issue with loss of focus in fullscreen apps.
  * Fixed Z Rotation.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 29 Mar 2010 21:14:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V "libsdl-haa1.2-1 (>= 1.0.0)"
+	dh_makeshlibs -V "libsdl-haa1.2-1 (>= 1.1.0)"
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
